#include <iostream>

using namespace std;

int a[2000010] = {0};
int b[1000010];

int main()
{
    int n,k,t,r=0;
    cin >> n >> k;
    for(int i=0; i<n; i++)
    {
        cin >> t;
        a[t+n]++;
    }
    for(int i=-n; i<=n; i++)
    {
        if( a[i+n] >= k )
        {
            b[r] = i;
            r++;
        }
    }
    cout << r << endl;
    for(int i=0; i<r; i++)
    {
        cout << b[i] << " ";
    }
    return 0;
}